wordpress IP验证不当漏洞

日期:2019-02-22 浏览:369次

阿里云提示:
wordpress IP验证不当漏洞
wordpress /wp-includes/http.php文件中的wp_http_validate_url函数对输入IP验证不当,导致黑客可构造类似于012.10.10.10这样的畸形IP绕过验证,进行SSRF。

如何修复:
打开wp-includes/http.php

第一处原代码:

1
$same_host = strtolower( $parsed_home['host'] ) === strtolower( $parsed_url['host'] )
修改为:
1
$same_host = ( strtolower( $parsed_home['host'] ) === strtolower( $parsed_url['host'] ) || 'localhost' == strtolower($parsed_url['host']));
第二处原代码:

1
if ( 127 === $parts[0] || 10 === $parts[0]
修改为:
1
if ( 127 === $parts[0] || 10 === $parts[0] || 0 === $parts[0]

漏洞修补完成,然后点击阿里云进行验证。

没有评论

发表评论